portals-jetspeed-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Ate Douma (JIRA)" <jetspeed-...@portals.apache.org>
Subject [jira] Created: (JS2-871) Upgrade Pluto container to version 2.0 for up-to-date JSR-168 support
Date Tue, 03 Jun 2008 12:28:44 GMT
Upgrade Pluto container to version 2.0 for up-to-date JSR-168 support
---------------------------------------------------------------------

                 Key: JS2-871
                 URL: https://issues.apache.org/jira/browse/JS2-871
             Project: Jetspeed 2
          Issue Type: New Feature
          Components: Container
    Affects Versions: 2.2
            Reporter: Ate Douma
            Priority: Critical
             Fix For: 2.2


Pluto 2.0 is currently undergoing refactoring (see Pluto branch 2.0-spi-refactoring) to restore
the ability to incorporate it back in larger scale Portals like Jetspeed-2.

The currently used Pluto 1.0.1 container is outdated and we need to get back in sync with
Pluto trunk development ASAP.

Note: the target for this upgrade is JSR-168 only (for now).
Adding JSR-286 (Portlet API 2.0) will be a follow up task for the next major Jetspeed 2 release
(2.3 or higher).

One particular important integration point is the Portlet Preferences. JS2-869 targets a complete
rewrite of the Jetspeed Preferences backend and that issue should take the new Pluto 2.0 model
and API into account. 




-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


---------------------------------------------------------------------
To unsubscribe, e-mail: jetspeed-dev-unsubscribe@portals.apache.org
For additional commands, e-mail: jetspeed-dev-help@portals.apache.org


Mime
View raw message